<template lang="pug">
.login: .hero.is-fullheight.is-overlay.is-dark.is-bold: .hero-body
  .box
    .logo: img(src="../assets/m.png")
    form
      p.control: input.input(type="text" placeholder="Username" v-model="username")
      p.control: input.input(type="password" placeholder="Password" v-model="password")
      button.button.is-primary(type="submit" @click.prevent="login") Login
      p.control.tag.is-danger(v-if="error") {{ error }}
</template>

<script>
	import auth from '../utils/auth'

	export default {
    name: 'Login',
		data() {
			return {
				username: '',
				password: '',
				error: ''
			}
		},
		methods: {
			login() {
				var creds = {
					username: this.username,
					password: this.password
				}

				auth.login(this, creds, '/', (res) => {
					if (res.data.message) this.error = res.data.message
				})
				this.username = ''
				this.password = ''
			}
		}
	}
</script>

<style lang="scss">
	.login-shadow {
		background-color: #333;
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		opacity: .95;
		display: flex;
		align-content: center;
		justify-content: center;
	}

	.login {
		// margin-top: 140px;
		// background-color: #fff;
text-align: center;
		// width: 300px;
		// padding-bottom: 40px;

		form {
			padding-top: 20px;
		}
    img {
      height: 60px;
    }
    .box {
      width: 240px;
    }

    .hero.is-fullheight .hero-body{
      justify-content: center;
    }
  }
</style>
